org.apache.ignite.internal.processors.cache

## Interface GridCacheDeployable

All Known Implementing Classes:
  CacheContinuousQueryEntry, GridCacheQueryRequest, GridCacheQueryResponse, GridCacheTxRecoveryRequest, GridCacheTxRecoveryResponse, GridDhtAtomicAbstractUpdateRequest, GridDhtAtomicDeferredUpdateResponse, GridDhtAtomicSingleUpdateRequest, GridDhtAtomicUpdateRequest, GridDhtAtomicUpdateResponse, GridDhtForceKeysRequest, GridDhtForceKeysResponse, GridDhtLockRequest, GridDhtLockResponse, GridDhtPartitionSupplyMessage, GridDhtTxFinishRequest, GridDhtTxPrepareRequest, GridDhtTxPrepareResponse, GridDhtUnlockRequest, GridDistributedBaseMessage, GridDistributedLockRequest, GridDistributedLockResponse, GridDistributedTxFinishRequest, GridDistributedTxPrepareRequest, GridDistributedTxPrepareResponse, GridDistributedUnlockRequest, GridNearAtomicAbstractSingleUpdateRequest, GridNearAtomicAbstractUpdateRequest, GridNearAtomicFullUpdateRequest, GridNearAtomicSingleUpdateFilterRequest, GridNearAtomicSingleUpdateInvokeRequest, GridNearAtomicSingleUpdateRequest, GridNearAtomicUpdateResponse, GridNearGetRequest, GridNearGetResponse, GridNearLockRequest, GridNearLockResponse, GridNearSingleGetRequest, GridNearSingleGetResponse, GridNearTxFinishRequest, GridNearTxPrepareRequest, GridNearTxPrepareResponse, GridNearUnlockRequest

    public interface GridCacheDeployable

Deployable cache message.

### Method Summary

Methods
`GridDeploymentInfo` `deployInfo()`
`void` `prepare(GridDeploymentInfo depInfo)` Prepare deployment information.

### Method Detail

#### prepare

    void prepare(GridDeploymentInfo depInfo)

Prepare deployment information.

Parameters:
  `depInfo` - Deployment information.

#### deployInfo

    GridDeploymentInfo deployInfo()

Returns:
  Deployment bean.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017